/**
  *  \file client/widgets/expfieldlist.h
  *  \brief WExportFieldList widget
  *
  *  (c) 2001-2015 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_WIDGETS_EXPFIELDLIST_H
#define PCC_V2_CLIENT_WIDGETS_EXPFIELDLIST_H

#include "ui/listbox.h"

class IntExportFieldList;
class IntContext;

/** Editor for IntExportFieldList. This displays and edits a IntExportFieldList.
    Users can add, remove, and move around fields, and change their widths. */
class WExportFieldList : public UIListbox {
    IntExportFieldList& data;
    IntContext* ctx;

    void update();
    void changeFieldWidth(int delta);
    void insertField();
    void deleteField();
    void swapFields(bool up);

 public:
    WExportFieldList(IntExportFieldList& data, IntContext* ctx);
    void drawPart(GfxCanvas& can, int from, int to);
    bool handleEvent(const UIEvent& e, bool second_pass);
};

#endif
