/**
  *  \file ui/widgets/alignwidget.h
  *
  *  (c) 2001-2015 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_UI_WIDGETS_ALIGNWIDGET_H
#define PCC_V2_UI_WIDGETS_ALIGNWIDGET_H

#include "ui/ui.h"

class UIAlignedWidget : public UIBaseComplexWidget {
    GfxPoint align;
    GfxPoint margin;

 public:
    UIAlignedWidget(UIBaseWidget& content, GfxPoint align, GfxPoint margin);
    ~UIAlignedWidget();

    void onResize(GfxRect oldsize, bool by_layout);
    void getLayoutInfo(LayoutInfo&);
    void drawContent(GfxCanvas& canvas);
};

#endif
